DBNFile

dbn.data

## Class DBNFile

- java.lang.Object
- - com.syvys.jaRBM.IO.RBMNetFile
  - - dbn.data.DBNFile

-     public class DBNFile
      extends com.syvys.jaRBM.IO.RBMNetFile

  A file handler for `DeepBeliefNetwork` instances. It has some `static` methods that help to save or load a `DeepBeliefNetwork` in an appropriate file. Extends `RBMNetFile` class.
  See Also:
    `RBMNetFile`, `DeepBeliefNetwork`

- - ### Field Summary

    - ### Fields inherited from class com.syvys.jaRBM.IO.RBMNetFile

      `DEFAULT_SAVE_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBNFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeepBeliefNetwork` | `GetFromFile(java.lang.String filename)` Loads a `DeepBeliefNetwork` from the hard disk using the path parameter
    `static void` | `SaveToFile(DeepBeliefNetwork someDBN)` Saves a `DeepBeliefNetwork` into a default location.
    `static void` | `SaveToFile(DeepBeliefNetwork someDBN, java.lang.String anotherfilename)` Saves a `DeepBeliefNetwork` into a location defined by the user.

    - ### Methods inherited from class com.syvys.jaRBM.IO.RBMNetFile

      `SaveToFile, SaveToFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBNFile

          public DBNFile()

  - ### Method Detail

    - #### GetFromFile

          public static DeepBeliefNetwork GetFromFile(java.lang.String filename)

      Loads a `DeepBeliefNetwork` from the hard disk using the path parameter
      Parameters:
        `filename` - the path to the file that contains all the information that the method needs to load the `DeepBeliefNetwork`
      Returns:
        the saved `DeepBeliefNetwork`
      Throws:
        `InvalidClassException`

    - #### SaveToFile

          public static void SaveToFile(DeepBeliefNetwork someDBN)

      Saves a `DeepBeliefNetwork` into a default location. You can load this file using the `GetFromFile(String filename)` method.
      Parameters:
        `someDBN` - the `DeepBeliefNetwork` object that you want to save

    - #### SaveToFile

          public static void SaveToFile(DeepBeliefNetwork someDBN,
                        java.lang.String anotherfilename)

      Saves a `DeepBeliefNetwork` into a location defined by the user. You can load this file using the `GetFromFile(String filename)` method.
      Parameters:
        `someDBN` - the `DeepBeliefNetwork` object that you want to save
        `anotherfilename` - the location of the file you want to save the `DeepBeliefNetwork`